#ifndef __cLinuxTagList_h
  #define __cLinuxTagList_h

  
class cLinuxTagList
  {
  public:
    cLinuxTagList();
    ~cLinuxTagList();

    char* getTagList();
    unsigned int getTagListSize();

    void open();
    void close();
    void createMemTag(unsigned int iPhysMemStart, unsigned int iPhysMemSize);
    void createCmdLineTag(const char* sCmdLine);
    void createRamDiskTag(bool boLoad, unsigned int iStart, unsigned int iCompressedSize);
    
//  protected:
    void putUInt32(unsigned int);
    /// \brief Put's a zero terminated string to command-line.
    void putString(const char*);

  private:
    char mpListBuffer[1024*16];
    unsigned int miLBOffset;
  };
  
  
#endif // __cLinuxTagList_h
