/**
 * Copyright (c) 2005 Peer Georgi <peer@peer-ware.de>
 * License: GPL
 *
 * This program is free software; you may redistribute and/or modify it under
 * the terms of the GNU General Public License Version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for complete details.
*/


#ifndef __cNetIPv4Address_h
  #define __cNetIPv4Address_h

class cNetIPv4Address
  {
  public:
    cNetIPv4Address(unsigned int);
    cNetIPv4Address();
    ~cNetIPv4Address() throw();

    void debugPrint() const;

    /// The given pointer must have a size of at least 4 bytes!
    void store(char*) const;
    /// The given pointer must have a size of at least 4 bytes!
    unsigned int load(char*);

    bool operator==(const cNetIPv4Address&) const;
    bool operator!=(const cNetIPv4Address&) const;
    
  private:
    unsigned int miAddress;
  };


#endif // __cNetIPv4Address_h
