/**
 * Copyright (c) 2005 Peer Georgi <peer@peer-ware.de>
 * License: GPL
 *
 * This program is free software; you may redistribute and/or modify it under
 * the terms of the GNU General Public License Version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for complete details.
*/


#ifndef __cNetIPv4ProtocolParam_h
  #define __cNetIPv4ProtocolParam_h

#include "cNetAbstractProtocolParam.h"
#include "cNetIPv4Address.h"

class cNetIPv4ProtocolParam : public cNetAbstractProtocolParam
  {
  public:
    cNetIPv4ProtocolParam();
    virtual ~cNetIPv4ProtocolParam() throw();
    virtual unsigned int getID() const;
    
    const cNetIPv4Address&  getAddress() const;
    void setAddress(const cNetIPv4Address&);

  private:
    cNetIPv4Address mAddress;
  };

#endif // __cNetIPv4ProtocolParam_h
