/**
 * Copyright (c) 2005 Peer Georgi <peer@peer-ware.de>
 * License: GPL
 *
 * This program is free software; you may redistribute and/or modify it under
 * the terms of the GNU General Public License Version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for complete details.
*/


#ifndef __cNetMACProtocolParam_h
  #define __cNetMACProtocolParam_h

#include "cNetAbstractProtocolParam.h"
#include "cNetMACAddress.h"

class cNetMACProtocolParam : public cNetAbstractProtocolParam
  {
  public:
    cNetMACProtocolParam();
    virtual ~cNetMACProtocolParam() throw();
    virtual unsigned int getID() const;
    
    const cNetMACAddress& getAddress() const;
    void setAddress(unsigned int iIdx, char);
    bool setAddressFromString(const char* s, unsigned int iBfSize); // from string //
    void setAddress(const cNetMACAddress&);

  private:
    cNetMACAddress mMACAddress;
  };

#endif // __cNetMACProtocolParam_h
