/**
 * Copyright (c) 2005 Peer Georgi <peer@peer-ware.de>
 * License: GPL
 *
 * This program is free software; you may redistribute and/or modify it under
 * the terms of the GNU General Public License Version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for complete details.
*/


extern "C"
  {
    #include <sc/sc.h>
  }

unsigned long __pow10(int ii)
  {
    unsigned long long iRes = 1;
    for (int i = 0; i < ii; i++)
      iRes *= 10;
    return (iRes);
  }
  
void scDbgPrintDec(unsigned int iValue)
  {
    char pSyms[] = "0123456789";
    char s[] = "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
    unsigned long d = iValue;
    unsigned int iIdx = 0;
    for (int i = 19; i >= 0; i--)
      { 
        d = iValue / (__pow10(i));
        if (!(d)) continue;
        unsigned long long iMod = d % 10;
        s[iIdx] = pSyms[iMod];
        iIdx++;
      }
    if (!(iIdx))
      s[0] = '0';
    scDbg(s);
  }
