/**
 * Copyright (c) 2005 Peer Georgi <peer@peer-ware.de>
 * License: GPL
 *
 * This program is free software; you may redistribute and/or modify it under
 * the terms of the GNU General Public License Version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for complete details.
*/


#include "asm-at91rm9200.h"

        .text
        .align
        .global startKernel, _startKernel

startKernel:

# Set up User Mode, set User Mode Stack and disable interrupts  
    msr     CPSR_c, #(ARM_MODE_SYS | I_BIT | F_BIT)
# entry point of kernel
    
  ldr r3,=0x20008000
# start adress of tagged list
  ldr r2,=0x20000100   
  ldr r1,=0x301
  ldr r0,=0
 mov pc, r3
