/**
 * Copyright (c) 2005 Peer Georgi <peer@peer-ware.de>
 * License: GPL
 *
 * This program is free software; you may redistribute and/or modify it under
 * the terms of the GNU General Public License Version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for complete details.
*/


#ifndef __sys_time_h
  #define __sys_time_h

// Anzahl der vergangenden Ticks. (1 Tick = 1/32768 sek. = 30.517578125us)
extern unsigned int sc_getTickCount();
// Wartet die bergebene Anzahl von Millisekunden.
extern void sc_waitTime(unsigned int);
// Wartet die uebergebene Anzahl von Ticks (1/32768 sek)
extern void sc_waitTicks(unsigned int);

// internal usage only //
extern void sc_handleSTInterrupt();

#endif // __sys_time_h
