#!/bin/sh

if [ ! -e /mnt/nfs/ethernet.ko ]; then
  echo "Please mount /mnt/nfs before! (ethernet.ko not found!)"
  exit 1
fi

rmmod ethernet.ko; 
rmmod at91_ether.ko
insmod /app/drv/at91_ether.ko
ifconfig eth0 192.168.1.13

cp /mnt/nfs/ethernet.ko /tmp; 
rmmod at91_ether; 
rmmod ethernet; 
insmod /tmp/ethernet.ko; 
ifconfig eth0 192.168.1.13
