/**
 * Copyright (c) 2005 Peer Georgi <peer@peer-ware.de>
 * License: GPL
 *
 * This program is free software; you may redistribute and/or modify it under
 * the terms of the GNU General Public License Version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for complete details.
*/


#ifndef __cNetAbstractPEParam_h
  #define __cNetAbstractPEParam_h

/**
  This class holds information about the encapsulation process of a packet between protocol layers.
  So the MAC-Layer need a destination MAC address from the ARP layer.
  The ARP layer needs a IP-Address to resolve. And so on.
*/
class cNetAbstractPEParam
  {
  public:
    cNetAbstractPEParam();
    virtual ~cNetAbstractPEParam() throw();

    virtual unsigned int getID() const;
  };

#endif // __cNetAbstractPEParam_h
