/**
 * Copyright (c) 2005 Peer Georgi <peer@peer-ware.de>
 * License: GPL
 *
 * This program is free software; you may redistribute and/or modify it under
 * the terms of the GNU General Public License Version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for complete details.
*/


	.text
	.align
	.global main,_main

main:
_main:
        # save the size of memory (for external applications only)
        stmfd sp!, {r0}
	# copy .data section
	ldr r3, =_etext
	ldr r4, =_sdata
	ldr r5, =_edata
	subs r5, r5, r4
	bl copydata

	# clear .bss section
	ldr r4, =_sbss
	ldr r5, =_ebss
	subs r5, r5, r4
	mov r0, #0
	bl clearbss
	ldmfd sp!, {r0}

enter_main:
	# and jump to the kernel
	b boot

copydata:
	subs r5, r5, #4
	ldr r6, [r3], #4
	str r6, [r4], #4
	bne copydata
	mov pc, lr

clearbss:
	subs r5, r5, #4
	str r0, [r3], #4
	bne clearbss
	mov pc, lr
