/**
 * Copyright (c) 2005 Peer Georgi <peer@peer-ware.de>
 * License: GPL
 *
 * This program is free software; you may redistribute and/or modify it under
 * the terms of the GNU General Public License Version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for complete details.
*/


#ifndef __sc_config_impl_h
  #define __sc_config_impl_h

#ifndef __ASSEMBLER__
  #include <at/include/at91rm9200-def.h>
#endif

#define PLLA_VALUE_FAST(div,mult)    ((div) | (1024 << 8) | ((mult-1) << 16) | (1 << 15) | (1 << 29))
#define PLLA_VALUE_SLOW(div,mult)    ((div) | (1024 << 8) | ((mult-1) << 16) | (1 << 29))
#define PLLB_VALUE_USB(div,mult)     ((div) | (63 << 8) | ((mult-1) << 16) | (1 << 28))
#include "../../config/sc_config.h"


#endif // __sc_config_impl_h
