#ifndef __scll_h
  #define __scll_h

/**
   \brief This procedure will be called before switching to the configured mcu-clock and before initializing the SDRAM.
   The timer and debug port are already configured.
   You may use this function to do some very low level operations. (Like USB handshake or initialize I/Os).
*/
extern void scInitStage0(void);

/// \brief This function will be called by Entry.S
extern void sc_setup(void);

#endif // __scll_h
