

// Beispiel (0x2188c155)
//   + Col-Bits:
// SDRAM - configuation
// SC_SDRAM_COL_BITS_9, SC_SDRAM_ROW_BITS_12, SC_SDRAM_NUM_BANKS_4, 2, 8, 1, 1, 3, 4
#define SC_SDRAM_COL_BITS_8                  0
#define SC_SDRAM_COL_BITS_9                  1
#define SC_SDRAM_COL_BITS_10                 2
#define SC_SDRAM_COL_BITS_11                 3
#define SC_SDRAM_COL_BITS(x) ((x) & 3)

#define SC_SDRAM_ROW_BITS_11                 0
#define SC_SDRAM_ROW_BITS_12                 1
#define SC_SDRAM_ROW_BITS_13                 2
#define SC_SDRAM_ROW_BITS(x) (((x) & 3) << 2)

#define SC_SDRAM_NUM_BANKS_2                 0
#define SC_SDRAM_NUM_BANKS_4                 1
#define SC_SDRAM_NUM_BANKS(x) (((x) & 1) << 4)

#define SC_SDRAM_CAS_LATENCY  (2 << 5)

// [1]2..15 //
#define SC_SDRAM_WRITE_RECOVERY_TIME(x)  (((x) & 15) << 7)

// [1]2..15 //
#define SC_SDRAM_ROW_CYCLE_DELAY(x)      (((x) & 15) << 11)

// [1]2..15 //
#define SC_SDRAM_ROW_PRECHARGE_DELAY(x)  (((x) & 15) << 15)

// [1]2..15 //
#define SC_SDRAM_ROW_TOCOLUMN_DELAY(x)   (((x) & 15) << 19)

// [1]2..15 //
#define SC_SDRAM_ACTIVE_TOPRECHARGE_DELAY(x) (((x) & 15) << 23)

// [1]2..15 //
#define SC_SDRAM_EXIT_SELF_REFRESH_DELAY(x) (((x) & 15) << 27)

//#define SC_SDRAM_SETUP(COL_BITS, ROW_BITS, NUM_BANKS, WRITE_RECOVERY_TIME, ROW_CYCLE_DELAY, ROW_PRECHARGE_DELAY, ROW_TOCOLUMN_DELAY, ACTIVE_TOPRECHARGE_DELAY, EXIT_SELF_REFRESH_DELAY)    ( SC_SDRAM_COL_BITS(COL_BITS) | SC_SDRAM_ROW_BITS(ROW_BITS) | SC_SDRAM_NUM_BANKS(NUM_BANKS) | SC_SDRAM_CAS_LATENCY | SC_SDRAM_WRITE_RECOVERY_TIME(WRITE_RECOVERY_TIME) | SC_SDRAM_ROW_CYCLE_DELAY(ROW_CYCLE_DELAY) | SC_SDRAM_ROW_PRECHARGE_DELAY(ROW_PRECHARGE_DELAY) | SC_SDRAM_ROW_TOCOLUMN_DELAY(ROW_TOCOLUMN_DELAY) | SC_SDRAM_ACTIVE_TOPRECHARGE_DELAY(ACTIVE_TOPRECHARGE_DELAY) | SC_SDRAM_EXIT_SELF_REFRESH_DELAY(EXIT_SELF_REFRESH_DELAY) )
// WITHOUT CAS LATENCY
#define SC_SDRAM_SETUP(COL_BITS, ROW_BITS, NUM_BANKS, WRITE_RECOVERY_TIME, ROW_CYCLE_DELAY, ROW_PRECHARGE_DELAY, ROW_TOCOLUMN_DELAY, ACTIVE_TOPRECHARGE_DELAY, EXIT_SELF_REFRESH_DELAY)    ( SC_SDRAM_COL_BITS(COL_BITS) | SC_SDRAM_ROW_BITS(ROW_BITS) | SC_SDRAM_NUM_BANKS(NUM_BANKS) | SC_SDRAM_WRITE_RECOVERY_TIME(WRITE_RECOVERY_TIME) | SC_SDRAM_ROW_CYCLE_DELAY(ROW_CYCLE_DELAY) | SC_SDRAM_ROW_PRECHARGE_DELAY(ROW_PRECHARGE_DELAY) | SC_SDRAM_ROW_TOCOLUMN_DELAY(ROW_TOCOLUMN_DELAY) | SC_SDRAM_ACTIVE_TOPRECHARGE_DELAY(ACTIVE_TOPRECHARGE_DELAY) | SC_SDRAM_EXIT_SELF_REFRESH_DELAY(EXIT_SELF_REFRESH_DELAY) )
