/**
 * Copyright (c) 2005 Peer Georgi <peer@peer-ware.de>
 * License: GPL
 *
 * This program is free software; you may redistribute and/or modify it under
 * the terms of the GNU General Public License Version 2 as published by the
 * Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for complete details.
*/


#ifndef __string_h
  #define __string_h

#ifdef __cplusplus
  extern "C" {
#endif

typedef unsigned int size_t;

void* memcpy(void * dest,const void *src, unsigned int count);
int memcmp(const void * cs,const void * ct, unsigned int count);
char* strrchr(const char * s, int c);
unsigned int strlen(const char * s);
char* strstr(const char* s1, const char* s2);
char* strncpy(char * dest,const char *src, unsigned int count);
int strncmp(const char * cs,const char * ct, size_t count);
void* memset(void* pDest, int iPattern, size_t iSize);

#ifdef __cplusplus
  } // extern "C"
#endif

#endif // __string_h
